summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDonnie Berkholz <spyderous@gentoo.org>2006-02-28 01:27:21 +0000
committerDonnie Berkholz <spyderous@gentoo.org>2006-02-28 01:27:21 +0000
commitcd184f503ee69d3959f0e42bd288b5d9a9e2ae17 (patch)
tree49c4a3d1527fe57332fea368f01b0a53bf80594e /eclass/x-modular.eclass
parentUse epause instead of sleep. Bug #124321, by Ciaran McCreesh <ciaranm at gent... (diff)
downloadgentoo-2-cd184f503ee69d3959f0e42bd288b5d9a9e2ae17.tar.gz
gentoo-2-cd184f503ee69d3959f0e42bd288b5d9a9e2ae17.tar.bz2
gentoo-2-cd184f503ee69d3959f0e42bd288b5d9a9e2ae17.zip
Make USE=debug work more nicely with FEATURES=splitdebug.
Diffstat (limited to 'eclass/x-modular.eclass')
-rw-r--r--eclass/x-modular.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index 6e9f0564d6c9..d9c2bc7802fe 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.45 2006/02/15 21:33:15 spyderous Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.46 2006/02/28 01:27:21 spyderous Exp $
#
# Author: Donnie Berkholz <spyderous@gentoo.org>
#
@@ -153,7 +153,9 @@ if [[ -z "${FONT}" ]] \
DEBUGGABLE="yes"
IUSE="${IUSE} debug"
if use debug; then
- RESTRICT="${RESTRICT} nostrip"
+ if ! has splitdebug ${FEATURES}; then
+ RESTRICT="${RESTRICT} nostrip"
+ fi
fi
fi